IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/32
Addresses2^96
/64 networks2^32
- Network
3fff:7b::/32- First address
3fff:7b::- Last address
3fff:7b:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 79,228,162,514,264,337,593,543,950,336 (2^96)
- /64 networks (LANs)
- 4,294,967,296
- Full form
3fff:007b:0000:0000:0000:0000:0000:0000- Type
- Documentation 3fff::/20
For examples (RFC 9637) - Reverse DNS zone
b.7.0.0.f.f.f.3.ip6.arpa
Split into smaller subnets
3fff:7b::/32 makes 256 subnets of /40.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3fff:7b::/40 | 3fff:7b:ff:ffff:ffff:ffff:ffff:ffff |
| 2 | 3fff:7b:100::/40 | 3fff:7b:1ff:ffff:ffff:ffff:ffff:ffff |
| 3 | 3fff:7b:200::/40 | 3fff:7b:2ff:ffff:ffff:ffff:ffff:ffff |
| 4 | 3fff:7b:300::/40 | 3fff:7b:3ff:ffff:ffff:ffff:ffff:ffff |
| 5 | 3fff:7b:400::/40 | 3fff:7b:4ff:ffff:ffff:ffff:ffff:ffff |
| 6 | 3fff:7b:500::/40 | 3fff:7b:5ff:ffff:ffff:ffff:ffff:ffff |
| 7 | 3fff:7b:600::/40 | 3fff:7b:6ff:ffff:ffff:ffff:ffff:ffff |
| 8 | 3fff:7b:700::/40 | 3fff:7b:7ff:ffff:ffff:ffff:ffff:ffff |
| 9 | 3fff:7b:800::/40 | 3fff:7b:8ff:ffff:ffff:ffff:ffff:ffff |
| 10 | 3fff:7b:900::/40 | 3fff:7b:9ff:ffff:ffff:ffff:ffff:ffff |
| 11 | 3fff:7b:a00::/40 | 3fff:7b:aff:ffff:ffff:ffff:ffff:ffff |
| 12 | 3fff:7b:b00::/40 | 3fff:7b:bff:ffff:ffff:ffff:ffff:ffff |
| 13 | 3fff:7b:c00::/40 | 3fff:7b:cff:ffff:ffff:ffff:ffff:ffff |
| 14 | 3fff:7b:d00::/40 | 3fff:7b:dff:ffff:ffff:ffff:ffff:ffff |
| 15 | 3fff:7b:e00::/40 | 3fff:7b:eff:ffff:ffff:ffff:ffff:ffff |
| 16 | 3fff:7b:f00::/40 | 3fff:7b:fff:ffff:ffff:ffff:ffff:ffff |
| 17 | 3fff:7b:1000::/40 | 3fff:7b:10ff:ffff:ffff:ffff:ffff:ffff |
| 18 | 3fff:7b:1100::/40 | 3fff:7b:11ff:ffff:ffff:ffff:ffff:ffff |
| 19 | 3fff:7b:1200::/40 | 3fff:7b:12ff:ffff:ffff:ffff:ffff:ffff |
| 20 | 3fff:7b:1300::/40 | 3fff:7b:13ff:ffff:ffff:ffff:ffff:ffff |
| 21 | 3fff:7b:1400::/40 | 3fff:7b:14ff:ffff:ffff:ffff:ffff:ffff |
| 22 | 3fff:7b:1500::/40 | 3fff:7b:15ff:ffff:ffff:ffff:ffff:ffff |
| 23 | 3fff:7b:1600::/40 | 3fff:7b:16ff:ffff:ffff:ffff:ffff:ffff |
| 24 | 3fff:7b:1700::/40 | 3fff:7b:17ff:ffff:ffff:ffff:ffff:ffff |
| 25 | 3fff:7b:1800::/40 | 3fff:7b:18ff:ffff:ffff:ffff:ffff:ffff |
| 26 | 3fff:7b:1900::/40 | 3fff:7b:19ff:ffff:ffff:ffff:ffff:ffff |
| 27 | 3fff:7b:1a00::/40 | 3fff:7b:1aff:ffff:ffff:ffff:ffff:ffff |
| 28 | 3fff:7b:1b00::/40 | 3fff:7b:1bff:ffff:ffff:ffff:ffff:ffff |
| 29 | 3fff:7b:1c00::/40 | 3fff:7b:1cff:ffff:ffff:ffff:ffff:ffff |
| 30 | 3fff:7b:1d00::/40 | 3fff:7b:1dff:ffff:ffff:ffff:ffff:ffff |
| 31 | 3fff:7b:1e00::/40 | 3fff:7b:1eff:ffff:ffff:ffff:ffff:ffff |
| 32 | 3fff:7b:1f00::/40 | 3fff:7b:1fff:ffff:ffff:ffff:ffff:ffff |
| 33 | 3fff:7b:2000::/40 | 3fff:7b:20ff:ffff:ffff:ffff:ffff:ffff |
| 34 | 3fff:7b:2100::/40 | 3fff:7b:21ff:ffff:ffff:ffff:ffff:ffff |
| 35 | 3fff:7b:2200::/40 | 3fff:7b:22ff:ffff:ffff:ffff:ffff:ffff |
| 36 | 3fff:7b:2300::/40 | 3fff:7b:23ff:ffff:ffff:ffff:ffff:ffff |
| 37 | 3fff:7b:2400::/40 | 3fff:7b:24ff:ffff:ffff:ffff:ffff:ffff |
| 38 | 3fff:7b:2500::/40 | 3fff:7b:25ff:ffff:ffff:ffff:ffff:ffff |
| 39 | 3fff:7b:2600::/40 | 3fff:7b:26ff:ffff:ffff:ffff:ffff:ffff |
| 40 | 3fff:7b:2700::/40 | 3fff:7b:27ff:ffff:ffff:ffff:ffff:ffff |
| 41 | 3fff:7b:2800::/40 | 3fff:7b:28ff:ffff:ffff:ffff:ffff:ffff |
| 42 | 3fff:7b:2900::/40 | 3fff:7b:29ff:ffff:ffff:ffff:ffff:ffff |
| 43 | 3fff:7b:2a00::/40 | 3fff:7b:2aff:ffff:ffff:ffff:ffff:ffff |
| 44 | 3fff:7b:2b00::/40 | 3fff:7b:2bff:ffff:ffff:ffff:ffff:ffff |
| 45 | 3fff:7b:2c00::/40 | 3fff:7b:2cff:ffff:ffff:ffff:ffff:ffff |
| 46 | 3fff:7b:2d00::/40 | 3fff:7b:2dff:ffff:ffff:ffff:ffff:ffff |
| 47 | 3fff:7b:2e00::/40 | 3fff:7b:2eff:ffff:ffff:ffff:ffff:ffff |
| 48 | 3fff:7b:2f00::/40 | 3fff:7b:2fff:ffff:ffff:ffff:ffff:ffff |
| 49 | 3fff:7b:3000::/40 | 3fff:7b:30ff:ffff:ffff:ffff:ffff:ffff |
| 50 | 3fff:7b:3100::/40 | 3fff:7b:31ff:ffff:ffff:ffff:ffff:ffff |
| 51 | 3fff:7b:3200::/40 | 3fff:7b:32ff:ffff:ffff:ffff:ffff:ffff |
| 52 | 3fff:7b:3300::/40 | 3fff:7b:33ff:ffff:ffff:ffff:ffff:ffff |
| 53 | 3fff:7b:3400::/40 | 3fff:7b:34ff:ffff:ffff:ffff:ffff:ffff |
| 54 | 3fff:7b:3500::/40 | 3fff:7b:35ff:ffff:ffff:ffff:ffff:ffff |
| 55 | 3fff:7b:3600::/40 | 3fff:7b:36ff:ffff:ffff:ffff:ffff:ffff |
| 56 | 3fff:7b:3700::/40 | 3fff:7b:37ff:ffff:ffff:ffff:ffff:ffff |
| 57 | 3fff:7b:3800::/40 | 3fff:7b:38ff:ffff:ffff:ffff:ffff:ffff |
| 58 | 3fff:7b:3900::/40 | 3fff:7b:39ff:ffff:ffff:ffff:ffff:ffff |
| 59 | 3fff:7b:3a00::/40 | 3fff:7b:3aff:ffff:ffff:ffff:ffff:ffff |
| 60 | 3fff:7b:3b00::/40 | 3fff:7b:3bff:ffff:ffff:ffff:ffff:ffff |
| 61 | 3fff:7b:3c00::/40 | 3fff:7b:3cff:ffff:ffff:ffff:ffff:ffff |
| 62 | 3fff:7b:3d00::/40 | 3fff:7b:3dff:ffff:ffff:ffff:ffff:ffff |
| 63 | 3fff:7b:3e00::/40 | 3fff:7b:3eff:ffff:ffff:ffff:ffff:ffff |
| 64 | 3fff:7b:3f00::/40 | 3fff:7b:3fff:ffff:ffff:ffff:ffff:ffff |
| 65 | 3fff:7b:4000::/40 | 3fff:7b:40ff:ffff:ffff:ffff:ffff:ffff |
| 66 | 3fff:7b:4100::/40 | 3fff:7b:41ff:ffff:ffff:ffff:ffff:ffff |
| 67 | 3fff:7b:4200::/40 | 3fff:7b:42ff:ffff:ffff:ffff:ffff:ffff |
| 68 | 3fff:7b:4300::/40 | 3fff:7b:43ff:ffff:ffff:ffff:ffff:ffff |
| 69 | 3fff:7b:4400::/40 | 3fff:7b:44ff:ffff:ffff:ffff:ffff:ffff |
| 70 | 3fff:7b:4500::/40 | 3fff:7b:45ff:ffff:ffff:ffff:ffff:ffff |
| 71 | 3fff:7b:4600::/40 | 3fff:7b:46ff:ffff:ffff:ffff:ffff:ffff |
| 72 | 3fff:7b:4700::/40 | 3fff:7b:47ff:ffff:ffff:ffff:ffff:ffff |
| 73 | 3fff:7b:4800::/40 | 3fff:7b:48ff:ffff:ffff:ffff:ffff:ffff |
| 74 | 3fff:7b:4900::/40 | 3fff:7b:49ff:ffff:ffff:ffff:ffff:ffff |
| 75 | 3fff:7b:4a00::/40 | 3fff:7b:4aff:ffff:ffff:ffff:ffff:ffff |
| 76 | 3fff:7b:4b00::/40 | 3fff:7b:4bff:ffff:ffff:ffff:ffff:ffff |
| 77 | 3fff:7b:4c00::/40 | 3fff:7b:4cff:ffff:ffff:ffff:ffff:ffff |
| 78 | 3fff:7b:4d00::/40 | 3fff:7b:4dff:ffff:ffff:ffff:ffff:ffff |
| 79 | 3fff:7b:4e00::/40 | 3fff:7b:4eff:ffff:ffff:ffff:ffff:ffff |
| 80 | 3fff:7b:4f00::/40 | 3fff:7b:4fff:ffff:ffff:ffff:ffff:ffff |
| 81 | 3fff:7b:5000::/40 | 3fff:7b:50ff:ffff:ffff:ffff:ffff:ffff |
| 82 | 3fff:7b:5100::/40 | 3fff:7b:51ff:ffff:ffff:ffff:ffff:ffff |
| 83 | 3fff:7b:5200::/40 | 3fff:7b:52ff:ffff:ffff:ffff:ffff:ffff |
| 84 | 3fff:7b:5300::/40 | 3fff:7b:53ff:ffff:ffff:ffff:ffff:ffff |
| 85 | 3fff:7b:5400::/40 | 3fff:7b:54ff:ffff:ffff:ffff:ffff:ffff |
| 86 | 3fff:7b:5500::/40 | 3fff:7b:55ff:ffff:ffff:ffff:ffff:ffff |
| 87 | 3fff:7b:5600::/40 | 3fff:7b:56ff:ffff:ffff:ffff:ffff:ffff |
| 88 | 3fff:7b:5700::/40 | 3fff:7b:57ff:ffff:ffff:ffff:ffff:ffff |
| 89 | 3fff:7b:5800::/40 | 3fff:7b:58ff:ffff:ffff:ffff:ffff:ffff |
| 90 | 3fff:7b:5900::/40 | 3fff:7b:59ff:ffff:ffff:ffff:ffff:ffff |
| 91 | 3fff:7b:5a00::/40 | 3fff:7b:5aff:ffff:ffff:ffff:ffff:ffff |
| 92 | 3fff:7b:5b00::/40 | 3fff:7b:5bff:ffff:ffff:ffff:ffff:ffff |
| 93 | 3fff:7b:5c00::/40 | 3fff:7b:5cff:ffff:ffff:ffff:ffff:ffff |
| 94 | 3fff:7b:5d00::/40 | 3fff:7b:5dff:ffff:ffff:ffff:ffff:ffff |
| 95 | 3fff:7b:5e00::/40 | 3fff:7b:5eff:ffff:ffff:ffff:ffff:ffff |
| 96 | 3fff:7b:5f00::/40 | 3fff:7b:5fff:ffff:ffff:ffff:ffff:ffff |
| 97 | 3fff:7b:6000::/40 | 3fff:7b:60ff:ffff:ffff:ffff:ffff:ffff |
| 98 | 3fff:7b:6100::/40 | 3fff:7b:61ff:ffff:ffff:ffff:ffff:ffff |
| 99 | 3fff:7b:6200::/40 | 3fff:7b:62ff:ffff:ffff:ffff:ffff:ffff |
| 100 | 3fff:7b:6300::/40 | 3fff:7b:63ff:ffff:ffff:ffff:ffff:ffff |
| 101 | 3fff:7b:6400::/40 | 3fff:7b:64ff:ffff:ffff:ffff:ffff:ffff |
| 102 | 3fff:7b:6500::/40 | 3fff:7b:65ff:ffff:ffff:ffff:ffff:ffff |
| 103 | 3fff:7b:6600::/40 | 3fff:7b:66ff:ffff:ffff:ffff:ffff:ffff |
| 104 | 3fff:7b:6700::/40 | 3fff:7b:67ff:ffff:ffff:ffff:ffff:ffff |
| 105 | 3fff:7b:6800::/40 | 3fff:7b:68ff:ffff:ffff:ffff:ffff:ffff |
| 106 | 3fff:7b:6900::/40 | 3fff:7b:69ff:ffff:ffff:ffff:ffff:ffff |
| 107 | 3fff:7b:6a00::/40 | 3fff:7b:6aff:ffff:ffff:ffff:ffff:ffff |
| 108 | 3fff:7b:6b00::/40 | 3fff:7b:6bff:ffff:ffff:ffff:ffff:ffff |
| 109 | 3fff:7b:6c00::/40 | 3fff:7b:6cff:ffff:ffff:ffff:ffff:ffff |
| 110 | 3fff:7b:6d00::/40 | 3fff:7b:6dff:ffff:ffff:ffff:ffff:ffff |
| 111 | 3fff:7b:6e00::/40 | 3fff:7b:6eff:ffff:ffff:ffff:ffff:ffff |
| 112 | 3fff:7b:6f00::/40 | 3fff:7b:6fff:ffff:ffff:ffff:ffff:ffff |
| 113 | 3fff:7b:7000::/40 | 3fff:7b:70ff:ffff:ffff:ffff:ffff:ffff |
| 114 | 3fff:7b:7100::/40 | 3fff:7b:71ff:ffff:ffff:ffff:ffff:ffff |
| 115 | 3fff:7b:7200::/40 | 3fff:7b:72ff:ffff:ffff:ffff:ffff:ffff |
| 116 | 3fff:7b:7300::/40 | 3fff:7b:73ff:ffff:ffff:ffff:ffff:ffff |
| 117 | 3fff:7b:7400::/40 | 3fff:7b:74ff:ffff:ffff:ffff:ffff:ffff |
| 118 | 3fff:7b:7500::/40 | 3fff:7b:75ff:ffff:ffff:ffff:ffff:ffff |
| 119 | 3fff:7b:7600::/40 | 3fff:7b:76ff:ffff:ffff:ffff:ffff:ffff |
| 120 | 3fff:7b:7700::/40 | 3fff:7b:77ff:ffff:ffff:ffff:ffff:ffff |
| 121 | 3fff:7b:7800::/40 | 3fff:7b:78ff:ffff:ffff:ffff:ffff:ffff |
| 122 | 3fff:7b:7900::/40 | 3fff:7b:79ff:ffff:ffff:ffff:ffff:ffff |
| 123 | 3fff:7b:7a00::/40 | 3fff:7b:7aff:ffff:ffff:ffff:ffff:ffff |
| 124 | 3fff:7b:7b00::/40 | 3fff:7b:7bff:ffff:ffff:ffff:ffff:ffff |
| 125 | 3fff:7b:7c00::/40 | 3fff:7b:7cff:ffff:ffff:ffff:ffff:ffff |
| 126 | 3fff:7b:7d00::/40 | 3fff:7b:7dff:ffff:ffff:ffff:ffff:ffff |
| 127 | 3fff:7b:7e00::/40 | 3fff:7b:7eff:ffff:ffff:ffff:ffff:ffff |
| 128 | 3fff:7b:7f00::/40 | 3fff:7b:7fff:ffff:ffff:ffff:ffff:ffff |
| 129 | 3fff:7b:8000::/40 | 3fff:7b:80ff:ffff:ffff:ffff:ffff:ffff |
| 130 | 3fff:7b:8100::/40 | 3fff:7b:81ff:ffff:ffff:ffff:ffff:ffff |
| 131 | 3fff:7b:8200::/40 | 3fff:7b:82ff:ffff:ffff:ffff:ffff:ffff |
| 132 | 3fff:7b:8300::/40 | 3fff:7b:83ff:ffff:ffff:ffff:ffff:ffff |
| 133 | 3fff:7b:8400::/40 | 3fff:7b:84ff:ffff:ffff:ffff:ffff:ffff |
| 134 | 3fff:7b:8500::/40 | 3fff:7b:85ff:ffff:ffff:ffff:ffff:ffff |
| 135 | 3fff:7b:8600::/40 | 3fff:7b:86ff:ffff:ffff:ffff:ffff:ffff |
| 136 | 3fff:7b:8700::/40 | 3fff:7b:87ff:ffff:ffff:ffff:ffff:ffff |
| 137 | 3fff:7b:8800::/40 | 3fff:7b:88ff:ffff:ffff:ffff:ffff:ffff |
| 138 | 3fff:7b:8900::/40 | 3fff:7b:89ff:ffff:ffff:ffff:ffff:ffff |
| 139 | 3fff:7b:8a00::/40 | 3fff:7b:8aff:ffff:ffff:ffff:ffff:ffff |
| 140 | 3fff:7b:8b00::/40 | 3fff:7b:8bff:ffff:ffff:ffff:ffff:ffff |
| 141 | 3fff:7b:8c00::/40 | 3fff:7b:8cff:ffff:ffff:ffff:ffff:ffff |
| 142 | 3fff:7b:8d00::/40 | 3fff:7b:8dff:ffff:ffff:ffff:ffff:ffff |
| 143 | 3fff:7b:8e00::/40 | 3fff:7b:8eff:ffff:ffff:ffff:ffff:ffff |
| 144 | 3fff:7b:8f00::/40 | 3fff:7b:8fff:ffff:ffff:ffff:ffff:ffff |
| 145 | 3fff:7b:9000::/40 | 3fff:7b:90ff:ffff:ffff:ffff:ffff:ffff |
| 146 | 3fff:7b:9100::/40 | 3fff:7b:91ff:ffff:ffff:ffff:ffff:ffff |
| 147 | 3fff:7b:9200::/40 | 3fff:7b:92ff:ffff:ffff:ffff:ffff:ffff |
| 148 | 3fff:7b:9300::/40 | 3fff:7b:93ff:ffff:ffff:ffff:ffff:ffff |
| 149 | 3fff:7b:9400::/40 | 3fff:7b:94ff:ffff:ffff:ffff:ffff:ffff |
| 150 | 3fff:7b:9500::/40 | 3fff:7b:95ff:ffff:ffff:ffff:ffff:ffff |
| 151 | 3fff:7b:9600::/40 | 3fff:7b:96ff:ffff:ffff:ffff:ffff:ffff |
| 152 | 3fff:7b:9700::/40 | 3fff:7b:97ff:ffff:ffff:ffff:ffff:ffff |
| 153 | 3fff:7b:9800::/40 | 3fff:7b:98ff:ffff:ffff:ffff:ffff:ffff |
| 154 | 3fff:7b:9900::/40 | 3fff:7b:99ff:ffff:ffff:ffff:ffff:ffff |
| 155 | 3fff:7b:9a00::/40 | 3fff:7b:9aff:ffff:ffff:ffff:ffff:ffff |
| 156 | 3fff:7b:9b00::/40 | 3fff:7b:9bff:ffff:ffff:ffff:ffff:ffff |
| 157 | 3fff:7b:9c00::/40 | 3fff:7b:9cff:ffff:ffff:ffff:ffff:ffff |
| 158 | 3fff:7b:9d00::/40 | 3fff:7b:9dff:ffff:ffff:ffff:ffff:ffff |
| 159 | 3fff:7b:9e00::/40 | 3fff:7b:9eff:ffff:ffff:ffff:ffff:ffff |
| 160 | 3fff:7b:9f00::/40 | 3fff:7b:9fff:ffff:ffff:ffff:ffff:ffff |
| 161 | 3fff:7b:a000::/40 | 3fff:7b:a0ff:ffff:ffff:ffff:ffff:ffff |
| 162 | 3fff:7b:a100::/40 | 3fff:7b:a1ff:ffff:ffff:ffff:ffff:ffff |
| 163 | 3fff:7b:a200::/40 | 3fff:7b:a2ff:ffff:ffff:ffff:ffff:ffff |
| 164 | 3fff:7b:a300::/40 | 3fff:7b:a3ff:ffff:ffff:ffff:ffff:ffff |
| 165 | 3fff:7b:a400::/40 | 3fff:7b:a4ff:ffff:ffff:ffff:ffff:ffff |
| 166 | 3fff:7b:a500::/40 | 3fff:7b:a5ff:ffff:ffff:ffff:ffff:ffff |
| 167 | 3fff:7b:a600::/40 | 3fff:7b:a6ff:ffff:ffff:ffff:ffff:ffff |
| 168 | 3fff:7b:a700::/40 | 3fff:7b:a7ff:ffff:ffff:ffff:ffff:ffff |
| 169 | 3fff:7b:a800::/40 | 3fff:7b:a8ff:ffff:ffff:ffff:ffff:ffff |
| 170 | 3fff:7b:a900::/40 | 3fff:7b:a9ff:ffff:ffff:ffff:ffff:ffff |
| 171 | 3fff:7b:aa00::/40 | 3fff:7b:aaff:ffff:ffff:ffff:ffff:ffff |
| 172 | 3fff:7b:ab00::/40 | 3fff:7b:abff:ffff:ffff:ffff:ffff:ffff |
| 173 | 3fff:7b:ac00::/40 | 3fff:7b:acff:ffff:ffff:ffff:ffff:ffff |
| 174 | 3fff:7b:ad00::/40 | 3fff:7b:adff:ffff:ffff:ffff:ffff:ffff |
| 175 | 3fff:7b:ae00::/40 | 3fff:7b:aeff:ffff:ffff:ffff:ffff:ffff |
| 176 | 3fff:7b:af00::/40 | 3fff:7b:afff:ffff:ffff:ffff:ffff:ffff |
| 177 | 3fff:7b:b000::/40 | 3fff:7b:b0ff:ffff:ffff:ffff:ffff:ffff |
| 178 | 3fff:7b:b100::/40 | 3fff:7b:b1ff:ffff:ffff:ffff:ffff:ffff |
| 179 | 3fff:7b:b200::/40 | 3fff:7b:b2ff:ffff:ffff:ffff:ffff:ffff |
| 180 | 3fff:7b:b300::/40 | 3fff:7b:b3ff:ffff:ffff:ffff:ffff:ffff |
| 181 | 3fff:7b:b400::/40 | 3fff:7b:b4ff:ffff:ffff:ffff:ffff:ffff |
| 182 | 3fff:7b:b500::/40 | 3fff:7b:b5ff:ffff:ffff:ffff:ffff:ffff |
| 183 | 3fff:7b:b600::/40 | 3fff:7b:b6ff:ffff:ffff:ffff:ffff:ffff |
| 184 | 3fff:7b:b700::/40 | 3fff:7b:b7ff:ffff:ffff:ffff:ffff:ffff |
| 185 | 3fff:7b:b800::/40 | 3fff:7b:b8ff:ffff:ffff:ffff:ffff:ffff |
| 186 | 3fff:7b:b900::/40 | 3fff:7b:b9ff:ffff:ffff:ffff:ffff:ffff |
| 187 | 3fff:7b:ba00::/40 | 3fff:7b:baff:ffff:ffff:ffff:ffff:ffff |
| 188 | 3fff:7b:bb00::/40 | 3fff:7b:bbff:ffff:ffff:ffff:ffff:ffff |
| 189 | 3fff:7b:bc00::/40 | 3fff:7b:bcff:ffff:ffff:ffff:ffff:ffff |
| 190 | 3fff:7b:bd00::/40 | 3fff:7b:bdff:ffff:ffff:ffff:ffff:ffff |
| 191 | 3fff:7b:be00::/40 | 3fff:7b:beff:ffff:ffff:ffff:ffff:ffff |
| 192 | 3fff:7b:bf00::/40 | 3fff:7b:bfff:ffff:ffff:ffff:ffff:ffff |
| 193 | 3fff:7b:c000::/40 | 3fff:7b:c0ff:ffff:ffff:ffff:ffff:ffff |
| 194 | 3fff:7b:c100::/40 | 3fff:7b:c1ff:ffff:ffff:ffff:ffff:ffff |
| 195 | 3fff:7b:c200::/40 | 3fff:7b:c2ff:ffff:ffff:ffff:ffff:ffff |
| 196 | 3fff:7b:c300::/40 | 3fff:7b:c3ff:ffff:ffff:ffff:ffff:ffff |
| 197 | 3fff:7b:c400::/40 | 3fff:7b:c4ff:ffff:ffff:ffff:ffff:ffff |
| 198 | 3fff:7b:c500::/40 | 3fff:7b:c5ff:ffff:ffff:ffff:ffff:ffff |
| 199 | 3fff:7b:c600::/40 | 3fff:7b:c6ff:ffff:ffff:ffff:ffff:ffff |
| 200 | 3fff:7b:c700::/40 | 3fff:7b:c7ff:ffff:ffff:ffff:ffff:ffff |
| 201 | 3fff:7b:c800::/40 | 3fff:7b:c8ff:ffff:ffff:ffff:ffff:ffff |
| 202 | 3fff:7b:c900::/40 | 3fff:7b:c9ff:ffff:ffff:ffff:ffff:ffff |
| 203 | 3fff:7b:ca00::/40 | 3fff:7b:caff:ffff:ffff:ffff:ffff:ffff |
| 204 | 3fff:7b:cb00::/40 | 3fff:7b:cbff:ffff:ffff:ffff:ffff:ffff |
| 205 | 3fff:7b:cc00::/40 | 3fff:7b:ccff:ffff:ffff:ffff:ffff:ffff |
| 206 | 3fff:7b:cd00::/40 | 3fff:7b:cdff:ffff:ffff:ffff:ffff:ffff |
| 207 | 3fff:7b:ce00::/40 | 3fff:7b:ceff:ffff:ffff:ffff:ffff:ffff |
| 208 | 3fff:7b:cf00::/40 | 3fff:7b:cfff:ffff:ffff:ffff:ffff:ffff |
| 209 | 3fff:7b:d000::/40 | 3fff:7b:d0ff:ffff:ffff:ffff:ffff:ffff |
| 210 | 3fff:7b:d100::/40 | 3fff:7b:d1ff:ffff:ffff:ffff:ffff:ffff |
| 211 | 3fff:7b:d200::/40 | 3fff:7b:d2ff:ffff:ffff:ffff:ffff:ffff |
| 212 | 3fff:7b:d300::/40 | 3fff:7b:d3ff:ffff:ffff:ffff:ffff:ffff |
| 213 | 3fff:7b:d400::/40 | 3fff:7b:d4ff:ffff:ffff:ffff:ffff:ffff |
| 214 | 3fff:7b:d500::/40 | 3fff:7b:d5ff:ffff:ffff:ffff:ffff:ffff |
| 215 | 3fff:7b:d600::/40 | 3fff:7b:d6ff:ffff:ffff:ffff:ffff:ffff |
| 216 | 3fff:7b:d700::/40 | 3fff:7b:d7ff:ffff:ffff:ffff:ffff:ffff |
| 217 | 3fff:7b:d800::/40 | 3fff:7b:d8ff:ffff:ffff:ffff:ffff:ffff |
| 218 | 3fff:7b:d900::/40 | 3fff:7b:d9ff:ffff:ffff:ffff:ffff:ffff |
| 219 | 3fff:7b:da00::/40 | 3fff:7b:daff:ffff:ffff:ffff:ffff:ffff |
| 220 | 3fff:7b:db00::/40 | 3fff:7b:dbff:ffff:ffff:ffff:ffff:ffff |
| 221 | 3fff:7b:dc00::/40 | 3fff:7b:dcff:ffff:ffff:ffff:ffff:ffff |
| 222 | 3fff:7b:dd00::/40 | 3fff:7b:ddff:ffff:ffff:ffff:ffff:ffff |
| 223 | 3fff:7b:de00::/40 | 3fff:7b:deff:ffff:ffff:ffff:ffff:ffff |
| 224 | 3fff:7b:df00::/40 | 3fff:7b:dfff:ffff:ffff:ffff:ffff:ffff |
| 225 | 3fff:7b:e000::/40 | 3fff:7b:e0ff:ffff:ffff:ffff:ffff:ffff |
| 226 | 3fff:7b:e100::/40 | 3fff:7b:e1ff:ffff:ffff:ffff:ffff:ffff |
| 227 | 3fff:7b:e200::/40 | 3fff:7b:e2ff:ffff:ffff:ffff:ffff:ffff |
| 228 | 3fff:7b:e300::/40 | 3fff:7b:e3ff:ffff:ffff:ffff:ffff:ffff |
| 229 | 3fff:7b:e400::/40 | 3fff:7b:e4ff:ffff:ffff:ffff:ffff:ffff |
| 230 | 3fff:7b:e500::/40 | 3fff:7b:e5ff:ffff:ffff:ffff:ffff:ffff |
| 231 | 3fff:7b:e600::/40 | 3fff:7b:e6ff:ffff:ffff:ffff:ffff:ffff |
| 232 | 3fff:7b:e700::/40 | 3fff:7b:e7ff:ffff:ffff:ffff:ffff:ffff |
| 233 | 3fff:7b:e800::/40 | 3fff:7b:e8ff:ffff:ffff:ffff:ffff:ffff |
| 234 | 3fff:7b:e900::/40 | 3fff:7b:e9ff:ffff:ffff:ffff:ffff:ffff |
| 235 | 3fff:7b:ea00::/40 | 3fff:7b:eaff:ffff:ffff:ffff:ffff:ffff |
| 236 | 3fff:7b:eb00::/40 | 3fff:7b:ebff:ffff:ffff:ffff:ffff:ffff |
| 237 | 3fff:7b:ec00::/40 | 3fff:7b:ecff:ffff:ffff:ffff:ffff:ffff |
| 238 | 3fff:7b:ed00::/40 | 3fff:7b:edff:ffff:ffff:ffff:ffff:ffff |
| 239 | 3fff:7b:ee00::/40 | 3fff:7b:eeff:ffff:ffff:ffff:ffff:ffff |
| 240 | 3fff:7b:ef00::/40 | 3fff:7b:efff:ffff:ffff:ffff:ffff:ffff |
| 241 | 3fff:7b:f000::/40 | 3fff:7b:f0ff:ffff:ffff:ffff:ffff:ffff |
| 242 | 3fff:7b:f100::/40 | 3fff:7b:f1ff:ffff:ffff:ffff:ffff:ffff |
| 243 | 3fff:7b:f200::/40 | 3fff:7b:f2ff:ffff:ffff:ffff:ffff:ffff |
| 244 | 3fff:7b:f300::/40 | 3fff:7b:f3ff:ffff:ffff:ffff:ffff:ffff |
| 245 | 3fff:7b:f400::/40 | 3fff:7b:f4ff:ffff:ffff:ffff:ffff:ffff |
| 246 | 3fff:7b:f500::/40 | 3fff:7b:f5ff:ffff:ffff:ffff:ffff:ffff |
| 247 | 3fff:7b:f600::/40 | 3fff:7b:f6ff:ffff:ffff:ffff:ffff:ffff |
| 248 | 3fff:7b:f700::/40 | 3fff:7b:f7ff:ffff:ffff:ffff:ffff:ffff |
| 249 | 3fff:7b:f800::/40 | 3fff:7b:f8ff:ffff:ffff:ffff:ffff:ffff |
| 250 | 3fff:7b:f900::/40 | 3fff:7b:f9ff:ffff:ffff:ffff:ffff:ffff |
| 251 | 3fff:7b:fa00::/40 | 3fff:7b:faff:ffff:ffff:ffff:ffff:ffff |
| 252 | 3fff:7b:fb00::/40 | 3fff:7b:fbff:ffff:ffff:ffff:ffff:ffff |
| 253 | 3fff:7b:fc00::/40 | 3fff:7b:fcff:ffff:ffff:ffff:ffff:ffff |
| 254 | 3fff:7b:fd00::/40 | 3fff:7b:fdff:ffff:ffff:ffff:ffff:ffff |
| 255 | 3fff:7b:fe00::/40 | 3fff:7b:feff:ffff:ffff:ffff:ffff:ffff |
| 256 | 3fff:7b:ff00::/40 | 3fff:7b:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |